Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Interface MapPanelChild

All Known Implementing Classes:
  InformationDelegator, OMControlPanel, ToolPanel

public interface MapPanelChild

A simple interface to let an object know it wants to be added to the MapPanel, and where it would like to be placed. The MapPanel can look for these components in the MapHandler.

Field Summary
`static java.lang.String` | `PreferredLocationProperty`

Method Summary
`java.lang.String` | `getPreferredLocation()` Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.
`void` | `setPreferredLocation(java.lang.String string)` Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST.

Field Detail

### PreferredLocationProperty

    public static final java.lang.String PreferredLocationProperty

See Also:
  Constant Field Values

Method Detail

### setPreferredLocation

    public void setPreferredLocation(java.lang.String string)

  Should be provided with BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

### getPreferredLocation

    public java.lang.String getPreferredLocation()

  Should return BorderLayout.NORTH, BorderLayout.SOUTH, BorderLayout.EAST or BorderLayout.WEST. BorderLayout.Center is generally reserved for the MapBean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details